IBM Support

Supported editions and versions of Microsoft Visual Studio as development environments for Rational Functional Tester

Question & Answer


Question

What editions and versions of Microsoft Visual Studio can I install IBM Rational Functional Tester .NET scripting into?

Answer

Rational Functional Tester Supports the following editions of Microsoft Visual Studio as an IDE for .NET Scripting:

  • Microsoft Visual Studio Standard
  • Microsoft Visual Studio Professional

Other editions, such as Express, Team, and Premier Partner, are not supported.

If you do not have a license for Standard or Professional edition, you should consider using Rational Functional Tester Java Scripting. Java Scripting uses an Eclipse IDE and does not require an additional license purchase.

Java Scripting and .NET Scripting offer identical test domain support. Java Scripting also adds several exclusive features, including Storyboard testing (Simplified Scripting).

Additional notes:

  • Microsoft Visual Studio must be installed before IBM Rational Functional Tester .NET Scripting.
  • When installing Visual Studio, you must select the Visual Basic component (this will be enabled by default).
  • Microsoft Visual Studio versions 2003 and 2005 are supported in all 8.x versions of Rational Functional Tester.
  • Microsoft Visual Studio version 2008 is not supported.
  • Microsoft Visual Studio version 2010 is supported in Rational Functional Tester 8.2.0.2 and above.

[{"Product":{"code":"SSJMXE","label":"Rational Functional Tester"},"Business Unit":{"code":"BU004","label":"Hybrid Cloud"},"Component":"Integrations: 3rd Party","Platform":[{"code":"PF033","label":"Windows"}],"Version":"8.0;8.0.0.1;8.0.0.2;8.0.0.3;8.1;8.1.0.1;8.1.0.2;8.1.0.3;8.1.1;8.1.1.1;8.1.1.2;8.1.1.3;8.2;8.2.0.1;8.2.0.2","Edition":""}]

Document Information

Modified date:
16 June 2018

UID

swg21378152